<!-- save this file and open it in your browser -->
<html>
  <!-- Example s-svg custom-element integration -->
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <!-- load the plugin as soon as the library is available -->
    <script src="https://ssvg.web.cern.ch/distfiles/js/ssvg-engine-1.1.js" onload="window.ssvg.plugin()"></script>
  </head>

  <body>
    <!-- inject values from the input to the SSVG document -->
    <input id="input" type="range" value="20" min="0" max="50"
      oninput="document.getElementById('ssvg').updateState({ range: event.target.value })" />
    <!-- custom-element that will be augmented with `updateState`, `setState` and `getState` methods -->
    <s-svg id="ssvg">
      <svg version="1.1" width="100%" height="100%" viewBox="0 0 100 100" style="overflow: visible;">
        <state>
          <property name="range" type="number" min="0" max="50" initial="0">
            <relation query-selector="circle" attribute-name="r" from="10" to="50"></relation>
          </property>
        </state>
        <circle cx="50" cy="50" r="10%" fill="#ffd7a0" stroke="black" stroke-width="2"></circle>
      </svg>
    </s-svg>
  </body>
</html>